Skip to content
Start here

Update zone-level Waiting Room settings

client.WaitingRooms.Settings.Update(ctx, params) (*SettingUpdateResponse, error)
PUT/zones/{zone_id}/waiting_rooms/settings

Update zone-level Waiting Room settings

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
ParametersExpand Collapse
params SettingUpdateParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
SearchEngineCrawlerBypass param.Field[bool]optional

Body param: Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

ReturnsExpand Collapse
type SettingUpdateResponse struct{…}
SearchEngineCrawlerBypass bool

Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.

Update zone-level Waiting Room settings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/waiting_rooms"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  setting, err := client.WaitingRooms.Settings.Update(context.TODO(), waiting_rooms.SettingUpdateParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", setting.SearchEngineCrawlerBypass)
}
{
  "result": {
    "search_engine_crawler_bypass": true
  }
}
Returns Examples
{
  "result": {
    "search_engine_crawler_bypass": true
  }
}